| QxOrm 1.4.8 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
qx::model_view::QxModelRowCompare< T > Struct Template Reference
QxModelView : All classes registered into QxOrm context can be used with Qt model/view architecture (Qt widgets and/or QML views)

qx::QxModelRowCompare : functor used to provide sort feature for all models based on qx::IxModel interface (please note that you can also use QSortFilterProxyModel Qt class to sort your model) More...

`#include <QxModelRowCompare.h>`

List of all members.

## Public Member Functions
| QxModelRowCompare (bool bAscendingOrder, qx::IxDataMember *pDataMember)
bool | operator() (const T &t1, const T &t2) const
## Public Attributes
bool | m_bAscendingOrder
| Sort your model using ascending or descending order.
qx::IxDataMember * | m_pDataMember
| Data member associated to the model column to sort.

## Detailed Description

### template<typename T>
struct qx::model_view::QxModelRowCompare< T >

qx::QxModelRowCompare : functor used to provide sort feature for all models based on qx::IxModel interface (please note that you can also use QSortFilterProxyModel Qt class to sort your model)

Definition at line 58 of file QxModelRowCompare.h.

## Constructor & Destructor Documentation

template<typename T >

qx::model_view::QxModelRowCompare< T >::QxModelRowCompare | ( | bool | bAscendingOrder,
|  | qx::IxDataMember * | pDataMember
| ) |  | `[inline]`

Definition at line 64 of file QxModelRowCompare.h.

## Member Function Documentation

template<typename T >

bool qx::model_view::QxModelRowCompare< T >::operator() | ( | const T & | t1,
|  | const T & | t2
| ) |  | const`[inline]`

Definition at line 66 of file QxModelRowCompare.h.

## Member Data Documentation

template<typename T >

bool qx::model_view::QxModelRowCompare< T >::m_bAscendingOrder

Sort your model using ascending or descending order.

Definition at line 61 of file QxModelRowCompare.h.

template<typename T >

qx::IxDataMember* qx::model_view::QxModelRowCompare< T >::m_pDataMember

Data member associated to the model column to sort.

Definition at line 62 of file QxModelRowCompare.h.

The documentation for this struct was generated from the following file:

- C:/Dvlp/_Perso/QxOrm/include/QxModelView/QxModelRowCompare.h